Open CASCADE Technology: StepGeom_Array2OfCartesianPoint Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_Array2OfCartesianPoint Class Reference

`#include <StepGeom_Array2OfCartesianPoint.hxx>`

## Public Member Functions
| StepGeom_Array2OfCartesianPoint (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
| StepGeom_Array2OfCartesianPoint (const Handle< StepGeom_CartesianPoint > &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
void | Init (const Handle< StepGeom_CartesianPoint > &V)
void | Destroy ()
| ~StepGeom_Array2OfCartesianPoint ()
const StepGeom_Array2OfCartesianPoint & | Assign (const StepGeom_Array2OfCartesianPoint &Other)
const StepGeom_Array2OfCartesianPoint & | operator= (const StepGeom_Array2OfCartesianPoint &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle< StepGeom_CartesianPoint > &Value)
const Handle < StepGeom_CartesianPoint > & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Handle < StepGeom_CartesianPoint > & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Handle< StepGeom_CartesianPoint > & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Handle< StepGeom_CartesianPoint > & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Constructor & Destructor Documentation

StepGeom_Array2OfCartesianPoint::StepGeom_Array2OfCartesianPoint | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

StepGeom_Array2OfCartesianPoint::StepGeom_Array2OfCartesianPoint | ( | const Handle< StepGeom_CartesianPoint > & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |  |

StepGeom_Array2OfCartesianPoint::~StepGeom_Array2OfCartesianPoint | ( |  | ) |
| inline

## Member Function Documentation

const StepGeom_Array2OfCartesianPoint& StepGeom_Array2OfCartesianPoint::Assign | ( | const StepGeom_Array2OfCartesianPoint & | Other | ) |

Handle< StepGeom_CartesianPoint >& StepGeom_Array2OfCartesianPoint::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |

Standard_Integer StepGeom_Array2OfCartesianPoint::ColLength | ( |  | ) | const

void StepGeom_Array2OfCartesianPoint::Destroy | ( |  | ) |

void StepGeom_Array2OfCartesianPoint::Init | ( | const Handle< StepGeom_CartesianPoint > & | V | ) |

Standard_Integer StepGeom_Array2OfCartesianPoint::LowerCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfCartesianPoint::LowerRow | ( |  | ) | const

const Handle< StepGeom_CartesianPoint >& StepGeom_Array2OfCartesianPoint::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const
| inline

Handle< StepGeom_CartesianPoint >& StepGeom_Array2OfCartesianPoint::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  |
| inline

const StepGeom_Array2OfCartesianPoint& StepGeom_Array2OfCartesianPoint::operator= | ( | const StepGeom_Array2OfCartesianPoint & | Other | ) |
| inline

Standard_Integer StepGeom_Array2OfCartesianPoint::RowLength | ( |  | ) | const

void StepGeom_Array2OfCartesianPoint::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle< StepGeom_CartesianPoint > & | Value
| ) |  |

Standard_Integer StepGeom_Array2OfCartesianPoint::UpperCol | ( |  | ) | const

Standard_Integer StepGeom_Array2OfCartesianPoint::UpperRow | ( |  | ) | const

const Handle< StepGeom_CartesianPoint >& StepGeom_Array2OfCartesianPoint::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |  | const

The documentation for this class was generated from the following file:

- StepGeom_Array2OfCartesianPoint.hxx